<?xml version="1.0" encoding="windows-1251"?>
<xs:schema xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns="" id="CDFS" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:sm="http://www.servplus.ru" >
  <!--Карточка товара от поставщика -->
  <xs:element name="CDFS" abstract="true" msdata:IsDataSet="true" msdata:CaseSensitive="true" msdata:Locale="ru" >
    <xs:complexType>
      <xs:sequence>
        <!--Карточка складского учета-->
        <xs:element msdata:IsDataSet="true" msdata:CaseSensitive="true" msdata:Locale="ru" name="CD" sm:PostId="SMCARD.ARTICLE" >
          <xs:complexType>
            <xs:choice minOccurs="0" maxOccurs="unbounded">
              <xs:element msdata:Locale="ru" name="SMCARD">
                <xs:complexType>
                  <xs:sequence>
                          <xs:element name="ARTICLE" type="xs:string" sm:Function="ArticleFromNewBarcode(_BC,0,1,1,1,1)" /> 
                          <xs:element name="DATATYPE" type="xs:decimal" default="0" />
                          <xs:element name="COUNTRY" type="xs:string" minOccurs="0" sm:ColumnName="Страна производителя*"/>
                          <xs:element name="NAME" type="xs:string" sm:Function="CardName(_N1)" minOccurs="0" /> 
                          <xs:element name="_BC" type="xs:string" sm:ColumnName="Штрих-код основной" />
                          <xs:element name="SHORTNAME" type="xs:string" sm:Function="CardName(_N1)" />
                          <xs:element name="IDCLASS" type="xs:decimal" sm:Function="CardClassId(333,)" />
                          <xs:element name="IDMEASUREMENT" type="xs:decimal" sm:ColumnName="Ед.ИЗМ(цифровой код)"  />
                          <xs:element name="CARDCOMMENT" type="xs:string" sm:ColumnName="Поставщик*"  /> 
                          <xs:element name="WASTE" type="xs:decimal" sm:ColumnName="% Нормы тех. Отходов*" default="0" /> 
                          <xs:element name="GLOBALARTICLE" type="xs:string"  sm:Function="ArticleFromNewBarcode(_BC,0,1,1,1,1)" />
                          <xs:element name="USETIME" type="xs:decimal" minOccurs="0" sm:ColumnName="Общий срок годности в днях" />
                          <xs:element name="WIDTH" type="xs:decimal" minOccurs="0" sm:ColumnName="Ширина (до стенки) см*" />
                          <xs:element name="HEIGHT" type="xs:decimal" minOccurs="0" sm:ColumnName="Высота см*" />
                          <xs:element name="LENGHT" type="xs:decimal" minOccurs="0" sm:ColumnName="Длина см*" />
                          <xs:element name="_N1" type="xs:string" minOccurs="0" sm:ColumnName="Наименование продукта*" />

                  </xs:sequence>
                </xs:complexType>
              </xs:element>
              <xs:element msdata:Locale="ru" name="SMCARDPROPERTIES">
                <xs:complexType>
                  <xs:sequence>
                   <xs:element name="ARTICLE" type="xs:string" sm:Function="ArticleFromNewBarcode(_BC,0,1,1,1,1)" /> 
                    <xs:element name="PROPID" type="xs:string" sm:List="'Sys.BrandName','Sys.Composition','USER.MAINBRAND','USER.PACKSIZE','Sys.FEACode'"/>
                    <xs:element name="PROPVAL" type="xs:string" sm:List="_BRANDNAME,_COMPOSITION,_MAINBRAND,_PACKSIZE,_TNVD"/> 
                    <xs:element name="_BC" type="xs:string" sm:ColumnName="Штрих-код основной" />
                    <xs:element name="_BRANDNAME" type="xs:string" default="NoName" sm:ColumnName="Торговая марка*" />
                    <xs:element name="_COMPOSITION" type="xs:string" minOccurs="0" sm:ColumnName="Состав для весового товара, для печати на этикетках*" />
                    <xs:element name="_MAINBRAND" type="xs:string" minOccurs="0" sm:ColumnName="Производитель*" />
                    <xs:element name="_PACKSIZE" type="xs:string" minOccurs="0" default="1" sm:ColumnName="Количество товара в упаковке*" />
                    <xs:element name="_TNVD" type="xs:string" minOccurs="0" sm:ColumnName="Код ТН ВЭД*" /> 
                  </xs:sequence>
                </xs:complexType>
              </xs:element>
              <xs:element msdata:Locale="ru" name="SMCARDTAX">
                <xs:complexType>
                  <xs:sequence>
                    <xs:element name="ARTICLE" type="xs:string" sm:Function="ArticleFromNewBarcode(_BC,0,1,1,1,1)" /> 
                    <xs:element name="RGNID" type="xs:decimal" default="-1" />
                    <xs:element name="_BC" type="xs:string" sm:ColumnName="Штрих-код основной" />
                    <xs:element name="DATEFROM" type="xs:dateTime" default="1970-01-01T00:00:00+03:00" />
                    <xs:element name="DATETO" type="xs:dateTime" default="9999-01-01T00:00:00+03:00" />
                    <xs:element name="TAXGROUPID" type="xs:decimal" sm:ColumnName="НДС(ЦифовойКод)" />
                   </xs:sequence>
                </xs:complexType>
              </xs:element>
              <xs:element name="SMALTUNITS" msdata:Locale="ru">
                 <xs:complexType>
                  <xs:sequence>
                    <xs:element name="ARTICLE" type="xs:string" sm:Function="ArticleFromNewBarcode(_BC,0,1,1,1,1)"/>
                    <xs:element name="ALTUNIT" minOccurs="0" type="xs:decimal" default="1" />
                    <xs:element name="RATE" minOccurs="0" default="1" type="xs:decimal" sm:ColumnName="Емкость, обьем, масса в натуральных единицах*"/>
                    <xs:element name="_BC" type="xs:string" sm:ColumnName="Штрих-код основной" />
                     </xs:sequence>
                </xs:complexType>
               </xs:element>
            </xs:choice>
          </xs:complexType>
          <xs:unique msdata:PrimaryKey="true" name="SMCARD_PK">
            <xs:selector xpath=".//SMCARD" />
            <xs:field xpath="ARTICLE" />
          </xs:unique>
          <xs:unique msdata:PrimaryKey="true" name="SMCARDPROPERTIES_Constraint1">
            <xs:selector xpath=".//SMCARDPROPERTIES" />
            <xs:field xpath="ARTICLE" />
            <xs:field xpath="PROPID" />
          </xs:unique>
          <xs:unique msdata:PrimaryKey="true" name="SMCARDTAX_Constraint1">
            <xs:selector xpath=".//SMCARDTAX" />
            <xs:field xpath="ARTICLE" />
            <xs:field xpath="RGNID" />
            <xs:field xpath="DATEFROM" />
          </xs:unique>
           <xs:unique name="SMALTUNITS_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
             <xs:selector xpath=".//SMALTUNITS" />
            <xs:field xpath="ARTICLE" />
             <xs:field xpath="ALTUNIT" />
            </xs:unique>

          <xs:keyref name="SMCCARDTAXART" refer="SMCARD_PK">
            <xs:selector xpath=".//SMCARDTAX" />
            <xs:field xpath="ARTICLE" />
          </xs:keyref>
          <xs:keyref name="SMCCARDPROPERTIES_CARD" refer="SMCARD_PK">
            <xs:selector xpath=".//SMCARDPROPERTIES" />
            <xs:field xpath="ARTICLE" />
          </xs:keyref>
        </xs:element>
     <!--Штриховой код-->
         <xs:element name="BC" msdata:IsDataSet="true" msdata:CaseSensitive="true" msdata:Locale="ru" sm:PostId="SVSTOREUNITS.BARCODE+ARTICLE" >
          <xs:complexType>
            <xs:choice minOccurs="0" maxOccurs="unbounded">
              <xs:element msdata:Locale="ru" name="SVSTOREUNITS">
                <xs:complexType>
                  <xs:sequence>
                    <xs:element name="BARCODE" type="xs:string" sm:ColumnName="Штрих-код основной" />
                    <xs:element name="ARTICLE" type="xs:string" sm:Function="ArticleFromNewBarcode(_BC,0,1,1,1,1)" /> 
                    <xs:element name="_BC" type="xs:string" sm:ColumnName="Штрих-код основной" />
                    <xs:element name="BARCODETYPE" type="xs:decimal" default="7" />
                    <xs:element name="FLAGS" type="xs:decimal" default="12" />
                    <xs:element name="QUANTITY" type="xs:decimal" default="1" />
                    <xs:element name="UNITNAME" type="xs:string" minOccurs="0" default="шт" />
                  </xs:sequence>
                </xs:complexType>
              </xs:element>
            </xs:choice>
          </xs:complexType>
          <xs:unique msdata:PrimaryKey="true" name="SVSTOREUNITS_PK">
            <xs:selector xpath=".//SVSTOREUNITS" />
            <xs:field xpath="BARCODE" />
            <xs:field xpath="ARTICLE" />
          </xs:unique>
          <xs:unique msdata:PrimaryKey="true" name="SVSTOREUNITS_ARTICLE">
            <xs:selector xpath=".//SVSTOREUNITS" />
            <xs:field xpath="ARTICLE" />
          </xs:unique>
        </xs:element> 
        <!--Артикул поставщика-->
<!--         <xs:element name="AS" msdata:IsDataSet="true" msdata:CaseSensitive="true" msdata:Locale="ru" sm:PostId="SMSUPPLYCASE.IDSUPPLIER+ARTICLE" >
          <xs:complexType>
            <xs:choice minOccurs="0" maxOccurs="unbounded">
              <xs:element name="SMSUPPLYCASE" msdata:Locale="ru">
                <xs:complexType>
                  <xs:sequence>
                    <xs:element name="IDSUPPLIER" type="xs:decimal" sm:FieldName="Уникальный номер поставщика, заведенный в СМ" />
                    <xs:element name="ARTICLE" type="xs:string" sm:Function="ArticleFromNewBarcode(_BC,0,1,1,1,1)" />
                    <xs:element name="AMOUNT" type="xs:decimal" default="1" sm:ColumnName="Квант поставки" />
                    <xs:element name="SUPPLIERARTICLE" type="xs:string" minOccurs="0" sm:ColumnName="Артикул, данный поставщиком" />
                    <xs:element name="SUPPLIERTITLE" type="xs:string" minOccurs="0" sm:ColumnName="Наименование, данное поставщиком" />
                    <xs:element name="_BC" type="xs:string" sm:ColumnName="Штрих-код на количество в ЕПП" />
                    <xs:element name="_GL1" type="xs:decimal" sm:ColumnName="Секция" />
                    <xs:element name="_GL2" type="xs:decimal" sm:ColumnName="Отдел" />
                    <xs:element name="_GL3" type="xs:decimal" minOccurs="0" sm:ColumnName="Группа" />
                    <xs:element name="_GL4" type="xs:decimal" minOccurs="0" sm:ColumnName="Подгруппа" />
                  </xs:sequence>
                </xs:complexType>
              </xs:element>
            </xs:choice>
          </xs:complexType>
          <xs:unique name="SMSUPPLYCASE_PK" msdata:PrimaryKey="true">
            <xs:selector xpath=".//SMSUPPLYCASE" />
            <xs:field xpath="IDSUPPLIER" />
            <xs:field xpath="ARTICLE" />
          </xs:unique>
        </xs:element> -->
        <!--Уровни складских запасов-->
<!--         <xs:element name="GL" msdata:IsDataSet="true" msdata:CaseSensitive="true" msdata:Locale="ru" sm:PostId="SMSTOCKLEVELS.ARTICLE+STORELOC" >
          <xs:complexType>
            <xs:choice minOccurs="0" maxOccurs="unbounded">
              <xs:element name="SMSTOCKLEVELS" msdata:Locale="ru">
                <xs:complexType>
                  <xs:sequence>
                    <xs:element name="ARTICLE" type="xs:string" sm:Function="ArticleFromNewBarcode(_BC,0,1,1,1,1)" />
                    <xs:element name="STORELOC" type="xs:decimal" sm:List="AllActiveStoreLocations()" />
                    <xs:element name="MINDAYS" type="xs:decimal" default="0" sm:ColumnName="Страховой запас (дней)" />
                    <xs:element name="SHOWLEVEL" type="xs:decimal" default="0" sm:ColumnName="Минималный запас (ЕПП)" />
                    <xs:element name="_BC" type="xs:string" sm:ColumnName="Штрих-код на количество в ЕПП" />
                    <xs:element name="_GL1" type="xs:decimal" sm:ColumnName="Секция" />
                    <xs:element name="_GL2" type="xs:decimal" sm:ColumnName="Отдел" />
                    <xs:element name="_GL3" type="xs:decimal" minOccurs="0" sm:ColumnName="Группа" />
                    <xs:element name="_GL4" type="xs:decimal" minOccurs="0" sm:ColumnName="Подгруппа" />
                  </xs:sequence>
                </xs:complexType>
              </xs:element>
            </xs:choice>
          </xs:complexType>
          <xs:unique name="SMSTOCKLEVELS_PK" msdata:PrimaryKey="true">
            <xs:selector xpath=".//SMSTOCKLEVELS" />
            <xs:field xpath="ARTICLE" />
            <xs:field xpath="STORELOC" />
          </xs:unique>
        </xs:element> -->
      </xs:sequence>
    </xs:complexType>
  </xs:element>
</xs:schema>